import '../../common/utils/pubspec/pubspec_utils.dart';
import '../interface/sample_interface.dart';

/// [Sample] file from Module_View file creation.
class FutureResponseSample extends Sample {
  final String _controllerDir;
  final String _viewName;
  final String _controller;
  final bool _isServer;

  FutureResponseSample(String path, this._viewName, this._controller,
      this._controllerDir, this._isServer,
      {bool overwrite = false})
      : super(path, overwrite: overwrite);

  String get import => _controllerDir.isNotEmpty
      ? '''import 'package:${PubspecUtils.projectName}/$_controllerDir';'''
      : '';

  String get _controllerName => _controller.isNotEmpty
      ? 'FutureResponse<$_controller>'
      : 'FutureResponse';

//   String get _flutterView => '''import 'package:flutter/material.dart';
// import 'package:get/get.dart';
// $import

// class $_viewName extends $_controllerName {
//  const $_viewName({Key? key}) : super(key: key);
//   @override
//   Widget build(BuildContext context) {
//     return Scaffold(
//       appBar: AppBar(
//         title: const Text('$_viewName'),
//         centerTitle: true,
//       ),
//       body:const Center(
//         child: Text(
//           '$_viewName is working',
//           style: TextStyle(fontSize:20),
//         ),
//       ),
//     );
//   }
// }
//   ''';

  String get _serverView =>
      '''import 'package:future_server/future_server.dart'; $import

class $_viewName extends $_controllerName {
  @override
  Future<ServerResponse> response() async {
    return ServerResponse.json({
      'message': 'Hello World',
    });
  }
}
  ''';

  // @override
  // String get content => _isServer ? _serverView : _flutterView;
  @override
  String get content => _serverView;
}
